Supported SCIM protocol features
curl --request GET \
--url https://{region}.api.plerion.com/v1/organization/scim/v2/ServiceProviderConfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/organization/scim/v2/ServiceProviderConfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/organization/scim/v2/ServiceProviderConfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
],
"documentationUri": "https://docs.plerion.com",
"patch": {
"supported": true
},
"bulk": {
"supported": false,
"maxOperations": 0,
"maxPayloadSize": 0
},
"filter": {
"supported": true,
"maxResults": 1000
},
"changePassword": {
"supported": false
},
"sort": {
"supported": true
},
"etag": {
"supported": false
},
"authenticationSchemes": [
{
"type": "oauthbearertoken",
"name": "Organization API key",
"description": "A Plerion organization API key with readWrite access level, passed as a bearer token.",
"primary": true
}
],
"meta": {
"resourceType": "ServiceProviderConfig",
"location": "https://au.api.plerion.com/v1/organization/scim/v2/ServiceProviderConfig"
}
}{
"message": "Unauthorized"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}GET
/
v1
/
organization
/
scim
/
v2
/
ServiceProviderConfig
Supported SCIM protocol features
Authorizations
Plerion organization API key (plerion_oak_…), created by an organization admin in the Plerion console. Write operations require a key with readWrite access level; GET and .search work with read access level.
Response
Service provider configuration.
RFC 7643 §5 service provider configuration.
Allowed value:
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?